<template>
  <q-list style="background-color: #fff">
    <q-item v-for="search in history" :key="search.timestamp">
      <q-item-section>
        <q-item-label class="lh-search-meta self-start">
          <img src="/imgs/search.svg" alt="Search icon"/>
          &nbsp;{{ lhDateFormat(search.timestamp) }}
          &nbsp;
          <span color="#b375ff">•</span>
          &nbsp;
          {{ search.src.name }}
        </q-item-label>
        <q-item-label class="This-is-the-thing-I self-start">{{
          search.searchTerm
        }}</q-item-label>
      </q-item-section>
      <q-item-section side @click="removeSearch(search)">
        <img src="/imgs/trash-it.svg" alt="Delete icon"/>
      </q-item-section>
    </q-item>
  </q-list>
</template>

<script>
import { date } from "quasar";
import { mapActions, mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters({
      history: "search/recentSearches",
    }),
  },
  methods: {
    ...mapActions({
      removeSearch: "search/removeSearch",
    }),
    lhDateFormat(ts) {
      return date.formatDate(ts, "MM/DD/YYYY HH:MM:SS a");
    },
  },
};
</script>

<style scoped>
.lh-search-meta {
  height: 14px;
  font-size: 11px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #7a767f;
}
.This-is-the-thing-I {
  height: 18px;
  font-size: 14px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #27261e;
}
</style>
